package com.jwipc.shopping.logic;

import com.jwipc.page.PageView;
import com.jwipc.shopping.dto.CostCenterBaseDTO;
import com.jwipc.shopping.dto.ShoppingPayDTO;
import com.jwipc.shopping.model.po.ShoppingPayDetailPO;
import com.jwipc.shopping.model.query.CostCenterQuery;
import com.jwipc.shopping.model.query.ShoppingPayDetailQuery;
import com.jwipc.shopping.model.query.ShoppingPayQuery;

import java.util.List;

/**
 * @Author: swq
 * @Date: 2024/4/10 13:22
 */
public interface ShoppingPayLogic {

    PageView shoppingPayListPage(ShoppingPayQuery query);
    ShoppingPayDTO formShoppingPay(String id);
    /**
     * 获取订单明细数据
     *
     * @param query 查询条件
     * @return 结果
     */
    PageView findPayDetail(ShoppingPayDetailQuery query);

    PageView costCenterList(CostCenterQuery query);

    List<CostCenterBaseDTO> costCenterListAll(CostCenterQuery query);


    Long selectOnlyPayCode(String code,Long payId);

    void saveShoppingPayDeatils(ShoppingPayDTO bean,String orderlist);

    PageView detailOrderLists(ShoppingPayDetailQuery query);

    void removeShoppingPayDetail(String id);

    void removeShoppingPay(String id);

    void oaExamine(Long id, Integer state);

    List<ShoppingPayDetailPO> selectPayExportData(ShoppingPayDetailQuery query);
}
